//******************************************************************************
//*                                  uBee512                                   *
//*         An emulator for the Microbee Z80 FDD and ROM based models          *
//*                                                                            *
//*                             Message Box module                             *
//*                                                                            *
//*                       Copyright (C) 2007 Stewart Kay                       *
//******************************************************************************
//
// Provides message box fallback support for Unices platforms using the
// Athena widget set.
//
//==============================================================================
// ChangeLog (most recent entries are at top)
//==============================================================================
// v2.0.0 - 17 October 2007, S.J.Kay
// - Created a new file and implement the fallback code.  Thanks to M.Kay
//   for providing this code.

//============================================================================== 
/*
 *  uBee512 - An emulator for the Microbee Z80 FDD and ROM based models. 
 *  Copyright (C) 2007  Stewart Kay
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
//==============================================================================   
#ifndef MINGW

#include "mbox.h"
#include "ubee512.h"

// These are the fall back resources. They can be overridden by similar
// lines with possibly different values in $HOME/.Xdefaults or by a file
// .../app-defaults/MessBox
 
String fallback[]=
   {
// #rrggbb represents a hex coded colour with 2 hex digits each for red
// #green and blue.  These can be replaced by color names known to X-windows
    "MessBox*background: #80e0e0",
    "MessBox*Command.background: #60c0c0",
    "MessBox*Command.shadowWidth: 4",
    "MessBox*Command.borderWidth: 1",
    "MessBox*internalHeight: 8",
    "MessBox*internalWidth: 8",
    "MessBox*Dialog.borderWidth: 5",
    "MessBox*Dialog.borderColor: #40a0a0",
    "MessBox*Dialog.icon: "PATH_SHARED_IMAGES"info.xbm",
// The next item/line determines the button separations
    "MessBox*Dialog*Command*horizDistance: 70",
    NULL
   };

#endif
