/* function Header */

#ifndef HEADER_FUNCTION_H
#define HEADER_FUNCTION_H

#include <inttypes.h>
#include "mz80.h"

int copy_file (char *dest, char *src);

int16_t little_endian_16 (int16_t n);
uint16_t little_endian_u16 (uint16_t n);
int32_t little_endian_32 (int32_t n);
uint32_t little_endian_u32 (uint32_t n);
int64_t little_endian_64 (int64_t n);
uint64_t little_endian_u64 (uint64_t n);

int16_t big_endian_16 (int16_t n);
uint16_t big_endian_u16 (uint16_t n);
int32_t big_endian_32 (int32_t n);
uint32_t big_endian_u32 (uint32_t n);
int64_t big_endian_64 (int64_t n);
uint64_t big_endian_u64 (uint64_t n);

int function_init (void);
int function_deinit (void);
int function_reset (void);

UINT16 function_ubee_r (UINT16 port, struct z80PortRead *port_s);
void function_ubee_w (UINT16 port, UINT8 data, struct z80PortWrite *port_s);

#endif     /* HEADER_FUNCTION_H */
