/* Tape Header */

#ifndef HEADER_TAPE_H
#define HEADER_TAPE_H

#include <inttypes.h>
#include "z80.h"

int tape_init (void);
int tape_deinit (void);
int tape_reset (void);
int tape_r (void);
void tape_w (int data);
void tape_config_out (int xtal, int rate, int volume);
void tape_config_in (int xtal);

struct wav_s
{
 char chunk_id[4];
 uint32_t chunk_size;
 char format[4];

 char sub_chunk1_id[4];
 uint32_t sub_chunk1_size;
 uint16_t audio_format;
 uint16_t num_channels;
 uint32_t sample_rate;
 uint32_t byte_rate;
 uint16_t block_align;
 uint16_t bits_per_sample;

 char sub_chunk2_id[4];
 uint32_t sub_chunk2_size;
};

typedef struct wav_s wav_t;

#endif     /* HEADER_TAPE_H */
